<%@ Control Language="c#" AutoEventWireup="false" Codebehind="tree.ascx.cs" Inherits="Tree.Examples.Design.Basic.ClientLoadOnDemandDirectory" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="radT" Namespace="Telerik.WebControls" Assembly="RadTreeView" %>
<%@ Register TagPrefix="code" TagName="Viewer" Src="~/Examples/CodeViewer.ascx" %>

<script>

function UpdateStatus(node)
{
	if (node.Category == "Folder")	
	{
		document.getElementById("name").innerHTML = "Folder";
		document.getElementById("size").innerHTML = "N/A";
		document.getElementById("date").innerHTML = "N/A";	
	}
	else
	{
		var arr = node.Value.split("@");
		document.getElementById("name").innerHTML = arr[0];
		document.getElementById("size").innerHTML = arr[1];
		document.getElementById("date").innerHTML = arr[2];	
	}
}

</script>

<table width="600" height="1" cellspacing="6" cellpadding="0" class="module" style="PADDING-RIGHT:3px;PADDING-LEFT:3px;PADDING-BOTTOM:3px;PADDING-TOP:3px">
	<tr class="text">
		<td colspan="2" height="20" valign="top" style="FONT-WEIGHT:bold; FONT-SIZE:11px; BORDER-BOTTOM:#e2e2e2 1px solid">
			Client Side Load On Demand from Directory structure
		</td>
	</tr>
	<tr>
		<td valign="top" width="300">
			<radT:RadTreeView
				TabIndex="1"
				ID="RadTree1"
				Runat="server"
				ImagesBaseDir="~/Examples/Programming/ClientLoadOnDemandDirectory/Img"
				Height="300px"
				Width="300px"
				ExpandDelay="0"
				BeforeClientClick="UpdateStatus"
			/>
		</td>
		<td valign="top" align="left" width="300">
			<table width="100%">
				<tr>
					<td><b>Name:</b</td>
					<td><span id="name"></span></td>
				</tr>
				<tr>
					<td><b>Size:</b></td>
					<td><span id="size"></span></td>
				</tr>
				<tr>
					<td><b>Last Modified:</b></td>
					<td><span id="date"></span></td>
				</tr>
				<tr>
					<td height="30px">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="2" height="20px"><hr></td>
				</tr>
				<tr>
					<td colspan="2"><b>Loading Message Position</b></td>
				</tr>
				<tr>
					<td colspan="2" height="20px"><hr></td>
				</tr>
				<tr>
					<td>
						<asp:RadioButtonList CssClass="text" AutoPostBack="True" ID="LoadingMessagePos" Runat="server" OnSelectedIndexChanged="LoadingMessagePositionChanged">
							<asp:ListItem Selected="True" Value="Before">Before Text</asp:ListItem>
							<asp:ListItem Value="After">After Text</asp:ListItem>
							<asp:ListItem Value="Below">Below Text</asp:ListItem>
							<asp:ListItem Value="None">None</asp:ListItem>
						</asp:RadioButtonList>
					</td>
				</tr>
			</table>
		</td>
	</tr>	
</table>
<code:Viewer Path="Examples/Programming/ClientLoadOnDemandDirectory/" AscxCs="True" Vb="True" Description="True" Ascx="True" FileName="tree" runat="server" id=Viewer1></code:Viewer>
