using System;
using System.Data;
using System.Drawing;
using System.IO;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace ChartExamples.Examples
{
	public abstract class Examples : System.Web.UI.UserControl
	{
		protected PlaceHolder example;

		private void Page_Load(object sender, System.EventArgs e)
		{
			string exampleString = Request.QueryString.Get("Example");
			if (exampleString == null)
			{
				exampleString = "Functionality/Whatsnew";
			}
			Control control;
			try
			{
				control = LoadControl(exampleString + "/tree.ascx");
			}
			catch (FileNotFoundException)
			{
				control = new LiteralControl("Example not found!");
			}
			example.Controls.Add(control);
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			InitializeComponent();
			base.OnInit(e);
		}

		private void InitializeComponent()
		{
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}