using System;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace TreeViewExamples.Examples
{
	public abstract class ExamplesNavigation : System.Web.UI.UserControl
	{
		protected System.Web.UI.HtmlControls.HtmlImage FunctionalityImage;
		protected System.Web.UI.HtmlControls.HtmlTable FunctionalityExamples;
		protected System.Web.UI.HtmlControls.HtmlImage DesignImage;
		protected System.Web.UI.HtmlControls.HtmlTable DesignExamples;
		protected System.Web.UI.HtmlControls.HtmlImage BindingImage;
		protected System.Web.UI.HtmlControls.HtmlTable BindingExamples;
		protected System.Web.UI.HtmlControls.HtmlImage ProgrammingImage;
		protected System.Web.UI.HtmlControls.HtmlTable FirstLookExamples;
		protected System.Web.UI.HtmlControls.HtmlTable Table1;
		protected System.Web.UI.HtmlControls.HtmlTable Table3;
		protected System.Web.UI.HtmlControls.HtmlTable Table2;
		protected System.Web.UI.HtmlControls.HtmlTable ProgrammingExamples;		
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			string exampleString = Request.QueryString.Get("Example");
			if (exampleString == null)
			{
				exampleString = "Functionality/Whatsnew";
			}
			
			string example = exampleString.Substring(exampleString.LastIndexOf("/") + 1);
			
			/*
			HtmlTable table = (HtmlTable) FindControl("ExamplesTable");
			foreach (HtmlTableRow row in table.Rows)
			{
				if (row.Attributes["example"] != null)
				{
					if (row.Attributes["example"] == example)
					{
						row.Style["font-weight"] = "bold";
					}
				}
			}
			*/
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			InitializeComponent();
			base.OnInit(e);
		}

		private void InitializeComponent()
		{
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}