
Imports System
Imports System.Data
Imports System.Drawing
Imports System.Web
Imports System.Web.UI.WebControls
Imports System.Web.UI.HtmlControls
Imports System.IO
Imports Telerik.WebControls


'/ <summary>
'/		Summary description for tree.
'/ </summary>

MustInherit Public Class tree
   Inherits System.Web.UI.UserControl
   Protected RadTree1 As Telerik.WebControls.RadTreeView
   
   
   Private Sub BindTreeToDirectory(dirPath As String, parentNode As RadTreeNode)
      Dim dirs As String() = Directory.GetDirectories(dirPath)
      Dim s As String
      For Each s In  dirs
         Dim parts As String() = s.Split("\"c)
         Dim name As String = parts((parts.Length - 1))
         Dim node As New RadTreeNode(name)
         node.Image = "Folder.gif"
         node.Value = name
         node.Category = "Folder"
         parentNode.AddNode(node)
         
         BindTreeToDirectory(s, node)
      Next s
      
      Dim files As String() = Directory.GetFiles(dirPath)
      Dim s As String
      For Each s In  files
         Dim parts As String() = s.Split("\"c)
         Dim name As String = parts((parts.Length - 1))
         Dim node As New RadTreeNode(name)
         
         Dim fi As New FileInfo(s)
         node.Image = "File.gif"
         node.Value = fi.Name + "@" + fi.Length + "@" + fi.LastWriteTime.ToString()
         node.Category = "File"
         parentNode.AddNode(node)
      Next s
   End Sub 'BindTreeToDirectory
   
   
   Protected Sub Page_Load(sender As Object, e As EventArgs)
      Dim rootFolder As String = Server.MapPath("./Examples")
      
      Dim rootNode As New RadTreeNode(rootFolder)
      rootNode.Image = "Folder.gif"
      RadTree1.AddNode(rootNode)
      
      BindTreeToDirectory(rootFolder, rootNode)
   End Sub 'Page_Load
   
   #Region "Web Form Designer generated code"
   
   Protected Overrides Sub OnInit(e As EventArgs)
      '
      ' CODEGEN: This call is required by the ASP.NET Web Form Designer.
      '
      InitializeComponent()
      MyBase.OnInit(e)
   End Sub 'OnInit
   
   
   '/		Required method for Designer support - do not modify
   '/		the contents of this method with the code editor.
   '/ </summary>
   Private Sub InitializeComponent()
   End Sub 'InitializeComponent
   
   #End Region
End Class 'tree